When Upgrading to Office 2016 from Office 2013 you may receive the following message:

Stop you should wait office 2016

Stop, you should wait to install Office 2016. You won’t be able to receive mail from a current mailbox

Office 2016 is not compatible with Exchange 2007.  You may want to contact your mailbox provider or system administrator about this issue.

The reason you are seeing this message is one of your email accounts in your current version of outlook is configured to connect to a mailbox on an old version of Exchange.  Office 2016 doesn’t support connecting to Exchange 2007 or earlier.  If you proceed you will be unable to connect to your mailbox.

If you ignore the warning you will have to reinstall the earlier version of Office.

If you aren’t upgrading and installing Office 2016 fresh to a new computer you won’t be aware of this issue until you try to connect to your mailbox.  You may be prompted with the following messages:

The resource that you are trying to use is located on an unsupported version of Microsoft Exchange. Contact your e-mail administrator for assistance.

or

Cannot expand the folder. The set of folders cannot be opened. Network problems are preventing connection to Microsoft Exchange.